Subject: Final process for CSPA principal's children

From: [email-masked]
Date: Mon, 11 Apr 94 08:59:59 CDT

Mi Mi Sr.,
   I asked two CSPA principals who have CSPA children (8-11 years
old).  They told me that they took their children to local INS to
process I-89.  Both said their children signed their names on I-89
even their writings were not beautiful.  One said his son also made
a one-finger print on I-89 but the other forget if finger print was
required or not.  The local INS is Arlington, Virginia.  They were
approved by INS Eastern Center.
   My daughter is 13 and she is LAD.  She processed I-89 (both one-
finger print and signature) when I submitted my approval notice to
Arlington INS to initiate her process.

  This is just for your reference.